com.independentsoft.exchange

## Enum FileAsMapping

- java.lang.Object
- - java.lang.Enum<FileAsMapping>
  - - com.independentsoft.exchange.FileAsMapping

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileAsMapping>

      public enum FileAsMapping
      extends java.lang.Enum<FileAsMapping>

  Defines how to construct what is displayed for a contact.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPANY` Indicates that the company name is displayed.
    `COMPANY_LAST_COMMA_FIRST` Indicates that the contact is displayed as the company name, the last name, a comma, and the first name.
    `COMPANY_LAST_FIRST` Indicates that the contact is displayed as the company name, the last name, and the first name.
    `COMPANY_LAST_SPACE_FIRST` Indicates that the contact is displayed as the company name, the last name, a space, and the first name.
    `FIRST_SPACE_LAST` Indicates that the contact is displayed as the first name followed by a space and the last name.
    `LAST_COMMA_FIRST` Indicates that the contact is displayed as the last name followed by a comma and the first name.
    `LAST_COMMA_FIRST_COMPANY` Indicates that the contact is displayed as the last name, a comma, the first name, and the company name.
    `LAST_FIRST` Indicates that the contact is displayed as the last name, the first name, and the company name.
    `LAST_FIRST_COMPANY` Indicates that the contact is displayed as the last name, the first name, and the company name.
    `LAST_FIRST_SUFFIX` Indicates that the contact is displayed as the last name, the first name, and the suffix for the contact.
    `LAST_SPACE_FIRST` Indicates that the contact is displayed as the last name, followed by a space and the first name.
    `LAST_SPACE_FIRST_COMPANY` Indicates that the contact is displayed as the last name, a space, the first name, and the company name.
    `NONE` Indicates that the FileAs value is not constructed from other contact's properties, but is represented by a string, saved "as is".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileAsMapping` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileAsMapping[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAST_COMMA_FIRST

          public static final FileAsMapping LAST_COMMA_FIRST

      Indicates that the contact is displayed as the last name followed by a comma and the first name.

    - #### FIRST_SPACE_LAST

          public static final FileAsMapping FIRST_SPACE_LAST

      Indicates that the contact is displayed as the first name followed by a space and the last name.

    - #### COMPANY

          public static final FileAsMapping COMPANY

      Indicates that the company name is displayed.

    - #### LAST_COMMA_FIRST_COMPANY

          public static final FileAsMapping LAST_COMMA_FIRST_COMPANY

      Indicates that the contact is displayed as the last name, a comma, the first name, and the company name.

    - #### COMPANY_LAST_FIRST

          public static final FileAsMapping COMPANY_LAST_FIRST

      Indicates that the contact is displayed as the company name, the last name, and the first name.

    - #### LAST_FIRST

          public static final FileAsMapping LAST_FIRST

      Indicates that the contact is displayed as the last name, the first name, and the company name.

    - #### LAST_FIRST_COMPANY

          public static final FileAsMapping LAST_FIRST_COMPANY

      Indicates that the contact is displayed as the last name, the first name, and the company name.

    - #### COMPANY_LAST_COMMA_FIRST

          public static final FileAsMapping COMPANY_LAST_COMMA_FIRST

      Indicates that the contact is displayed as the company name, the last name, a comma, and the first name.

    - #### LAST_FIRST_SUFFIX

          public static final FileAsMapping LAST_FIRST_SUFFIX

      Indicates that the contact is displayed as the last name, the first name, and the suffix for the contact.

    - #### LAST_SPACE_FIRST_COMPANY

          public static final FileAsMapping LAST_SPACE_FIRST_COMPANY

      Indicates that the contact is displayed as the last name, a space, the first name, and the company name.

    - #### COMPANY_LAST_SPACE_FIRST

          public static final FileAsMapping COMPANY_LAST_SPACE_FIRST

      Indicates that the contact is displayed as the company name, the last name, a space, and the first name.

    - #### LAST_SPACE_FIRST

          public static final FileAsMapping LAST_SPACE_FIRST

      Indicates that the contact is displayed as the last name, followed by a space and the first name.

    - #### NONE

          public static final FileAsMapping NONE

      Indicates that the FileAs value is not constructed from other contact's properties, but is represented by a string, saved "as is".

  - ### Method Detail

    - #### values

          public static FileAsMapping[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileAsMapping c : FileAsMapping.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileAsMapping valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null